Retrieve security policy details in NetApp Console local deployment
GET /v1/organizations/{organizationId}/securitypolicies/{securityPolicyId}
Retrieves the details of the specified security policy.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Organization ID |
securityPolicyId |
string |
path |
True |
Security Policy ID
|
Response
Status: 200, Successfully retrieved security policy details.
| Name | Type | Required | Description |
|---|---|---|---|
description |
string |
False |
Description of the security policy. |
encryptionType |
string |
False |
Type of encryption applied by the security policy. Should be enabled (ENABLED) or can be enabled or disabled (ANY). |
fips |
string |
False |
FIPS setting. Should be enabled (ON), disabled (OFF), or can be enabled or disabled (ANY). |
id |
string |
True |
Unique identifier of the security policy. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
Name of the security policy. |
organizationId |
string |
False |
Organization ID that the policy is associated with. |
policyType |
string |
False |
Type of the security policy. |
ransomwareProtection |
string |
False |
Ransomware protection setting. Should be enabled (ON), disabled (OFF), or can be enabled or disabled (ANY). |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the security policy. Can be used to add any additional data related to the security policy. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
Example response
{
"description": "Security policy for production workloads with encryption and ransomware protection",
"encryptionType": "ENABLED",
"fips": "ON",
"id": "5fa85f64-5717-4562-b3fc-2c963f66afa8",
"metadata": {
"createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"labels": [],
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
},
"name": "High Security Policy",
"organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policyType": "USER_DEFINED",
"ransomwareProtection": "ON",
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "2"
}
],
"type": "application/vnd.netapp.bxp.securitypolicy",
"version": "1.0"
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Definitions
See Definitions
type_bxp_label
Name/value pair.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the label. |
value |
string |
True |
Value of the label. |
type_bxp_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
createdBy |
string |
False |
UUID of the user who created the resource. |
creationTimestamp |
string |
False |
Resource creation date. |
labels |
array[type_bxp_label] |
False |
Array of name/value pairs representing additional information for the resource. |
modificationTimestamp |
string |
False |
Resource modification date. |
modifiedBy |
string |
False |
UUID of the user who modified the resource. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |